package com.yeejoin.amos.boot.module.tzs.flc.api.service;


import com.yeejoin.amos.boot.module.tzs.flc.api.dto.EquipmentDto;

/**
 * 装备信息表接口类
 *
 * @author system_generator
 * @date 2021-11-25
 */
public interface IEquipmentService {

    /**
     * 创建新设备
     *
     * @param model
     * @return
     */
    EquipmentDto createEquipment(EquipmentDto model);

    /**
     * 更新设备信息
     *
     * @param model
     * @return
     */
    EquipmentDto updateEquipment(EquipmentDto model);

    Boolean deleteById(Long sequenceNbr);
}
